'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var backendPluginApi = require('@backstage/backend-plugin-api');
var pluginEventsNode = require('@backstage/plugin-events-node');
var GithubEventRouter = require('../router/GithubEventRouter.cjs.js');

var eventsModuleGithubEventRouter = backendPluginApi.createBackendModule({
  pluginId: "events",
  moduleId: "github-event-router",
  register(env) {
    env.registerInit({
      deps: {
        events: pluginEventsNode.eventsServiceRef
      },
      async init({ events }) {
        const eventRouter = new GithubEventRouter.GithubEventRouter({ events });
        await eventRouter.subscribe();
      }
    });
  }
});

exports.default = eventsModuleGithubEventRouter;
//# sourceMappingURL=eventsModuleGithubEventRouter.cjs.js.map
